Package oracle.jdbc

## Class OracleDriverPropertyInfo

- java.lang.Object
- - java.sql.DriverPropertyInfo
  - - oracle.jdbc.OracleDriverPropertyInfo

    public class OracleDriverPropertyInfo
    extends java.sql.DriverPropertyInfo

### Field Summary

Fields
`java.lang.Byte` `accessMode`
`boolean` `isDeprecated`

### Fields inherited from class java.sql.DriverPropertyInfo

`choices, description, name, required, value`

### Constructor Summary

Constructors
`OracleDriverPropertyInfo​(java.lang.String name, java.lang.String value)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### accessMode

    public java.lang.Byte accessMode

#### isDeprecated

    public boolean isDeprecated

### Constructor Detail

#### OracleDriverPropertyInfo

    public OracleDriverPropertyInfo​(java.lang.String name,
                                    java.lang.String value)